package msg

const (
	SERVER_CONFIG         = "config.yaml"
	SERVER_DUBBOGO_CONFIG = "dubbogo.yaml"
	MODE_ENV              = "MODE_ENV"
)

const (
	Success = "操作成功"
	Failed  = "操作失败"
)

const (
	WholeTimeFormat = "2006-01-02 15:04:05"
)

const (
	//ExamWaiting  = 1 //未开始
	ExamDoing    = 1 //进行中
	ExamFinished = 2 //已结束

	TrainWaiting  = 1 //未开始
	TrainDoing    = 2 //进行中
	TrainFinished = 3 //已结束

	IsRight = 1 //正确
	IsErr   = 2 //正确

	IsPass     = 3 //  通过
	NotPass    = 2 // 未通过
	IsNotStart = 1 // 未完成

	NotGot = 1
	IsGot  = 2

	IsGift    = 2
	IsNotGift = 1

	IsTrain = 1 // 完成培训 及 录制了视频

	IsNeedAnswer = 1 // 需要答题

	IsNeedTrain = 1 // 需要培训

	IsAll = 1 // 全部都需要参加
)

const (
	Http = 200
)

const (
	ErrorLogin        = "账号或密码错误"
	ErrorJSONParse    = "json解析失败"
	ErrorJSONMarshal  = "json序列化失败"
	ErrorForUpdate    = "锁定错误"
	ErrorInsert       = "插入异常"
	ErrorDelete       = "删除异常"
	ErrorUpdate       = "更新异常"
	ErrorSelect       = "查询异常"
	ErrorEmptyParam   = "值为空"
	ErrorCopierStruct = "拷贝结构体错误"
	ErrorNoAction     = "无需操作"
	ErrorInvalidParam = "参数不合法"
	ErrorNoData       = "没有数据"
	ErrorDatetime     = "时间格式错误"

	ErrorSha256Write = "sha256加密错误"
)

const (
	ErrOperate = "操作错误"

	ErrCreateUser      = "创建用户失败"
	ErrUpdateUser      = "更新用户失败"
	ErrGetUserInfo     = "查询用户信息失败"
	ErrGetUserInfoExam = "查询答题用户信息失败"
	ErrUserNotRegister = "用户未注册"
	ErrVerifyUser      = "校验用户信息失败"
	ErrUserHad         = "当前用户信息已存在"

	ErrCreateExam          = "创建考试失败"
	ErrUpdateExam          = "更新考试失败"
	ErrGetExamInfoData     = "查询考试信息失败"
	ErrGetExamInfoCount    = "查询考试信息失败"
	ErrGetExamInfoNoParams = "查询考试信息条件错误"
	ErUpdateExamStatus     = "更新考试状态错误"

	ErrCreateTrain          = "创建培训失败"
	ErrUpdateTrain          = "更新培训失败"
	ErrGetTrainInfoData     = "查询培训信息失败"
	ErrGetTrainInfoCount    = "查询培训信息失败"
	ErrGetTrainInfoNoParams = "查询培训信息条件错误"

	ErrCreateQuestion       = "创建题目失败"
	ErrUpdateQuestion       = "更新题目失败"
	ErrQuestionInUse        = "题目正在被使用，无法修改"
	ErrGetQuestionInfoData  = "查询题目信息失败"
	ErrGetQuestionInfoCount = "查询题目信息失败"

	ErrCreateGift       = "创建礼品失败"
	ErrUpdateGift       = "更新礼品失败"
	ErrGetGiftInfoData  = "查询礼品信息失败"
	ErrGetGiftInfoCount = "查询礼品信息失败"

	ErrCreateUserHis            = "创建考试成绩失败"
	ErrQueryUserHis             = "查询考试成绩失败"
	ErrQueryAnswerScore         = "查询答案分值失败"
	ErrQueryAnswer              = "查询答案失败"
	ErrCreateUserAnswerHis      = "创建作答记录失败"
	ErrCreateUserTrainHis       = "创建培训记录失败"
	ErrUpdateUserTrainHis       = "更新培训记录失败"
	ErrCreateUserGiftHis        = "创建礼品记录失败"
	ErrUpdateUserGiftHis        = "更新礼品状态失败"
	ErrCheckAnswer              = "答案核对失败"
	ErrUpdateUserHis            = "更新考试成绩失败"
	ErrUpdateParticipantNum     = "更新参与人数失败"
	ErrUpdateParticipantPassNum = "更新通过人数失败"
	ErrQueryVideo               = "查询视频信息失败"
	ErrQueryUserAnswerHis       = "查询答题记录失败"
)
